## kmime 15.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KMime)

# ECM setup
find_package(ECM 5.12.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${KMime_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMGenerateHeaders)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)


set(KF5_VERSION "5.12.0")
set(KMIME_LIB_VERSION "4.87.0")
set(QT_REQUIRED_VERSION "5.2.0")

ecm_setup_version(${KMIME_LIB_VERSION} VARIABLE_PREFIX KMIME
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kmime_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5MimeConfigVersion.cmake"
                        SOVERSION 5
)

########### Find packages ###########
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
add_definitions(-DTRANSLATION_DOMAIN=\"libkmime5\")
add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")

########### Targets ###########
add_subdirectory(src)
add_subdirectory(includes)

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Mime")

ecm_configure_package_config_file(
    "${KMime_SOURCE_DIR}/KF5MimeConfig.cmake.in"
    "${KMime_BINARY_DIR}/KF5MimeConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )

install(FILES
    "${KMime_BINARY_DIR}/KF5MimeConfig.cmake"
    "${KMime_BINARY_DIR}/KF5MimeConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KF5MimeTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF5MimeTargets.cmake
    NAMESPACE KF5::
    )

install(FILES
    ${KMime_BINARY_DIR}/kmime_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
    COMPONENT Devel
    )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

set(QT_REQUIRED_VERSION "5.2.0")
find_package(Qt5Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)

# Turn exceptions on
kde_enable_exceptions()

macro(ADD_KMIME_TEST)
  foreach(_testName ${ARGN})
    add_executable(${_testName} ${_testName}.cpp)
    add_test(kmime-${_testName} ${_testName})
    target_link_libraries(${_testName}
      KF5Mime
      Qt5::Test
      KF5::Codecs
    )
    set_target_properties(${_testName} PROPERTIES COMPILE_FLAGS -DTEST_DATA_DIR="\\"${CMAKE_CURRENT_SOURCE_DIR}/data\\"" )
    ecm_mark_as_test(${_testName})
  endforeach()
endmacro()

add_kmime_test(
  rfc2047test
  utiltest
  contentindextest
  charfreqtest
  headertest
  contenttest
  messagetest
  headerfactorytest
  rfc2231test
  sizetest
  parsedatetimetest
  dateformattertest
  attachmenttest
  typestest
)

=== includes/CMakeLists.txt ===
# The KMime headers names are prepended with kmime_ to avoid name clashes.
# We can't use ecm_generate_headers if the CamelCase header doesn't match the filename
set(KMime_HEADERS
  Codecs
  Content
  ContentIndex
  DateFormatter
  HeaderParsing
  Headers
  KMimeMessage
  MDN
  Message
  NewsArticle
  Util
  Types
)

install(FILES
        ${KMime_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KMime/KMime COMPONENT Devel
)

=== src/CMakeLists.txt ===
include(CheckTimezone)

configure_file(config-kmime.h.cmake ${KMime_BINARY_DIR}/src/config-kmime.h)

# Turn exceptions on
kde_enable_exceptions()

########### next target ###############

set(kmime_LIB_SRCS
   kmime_charfreq.cpp
   kmime_util.cpp
   kmime_mdn.cpp
   kmime_parsers.cpp
   kmime_header_parsing.cpp
   kmime_headerfactory.cpp
   kmime_content.cpp
   kmime_contentindex.cpp
   kmime_headers.cpp
   kmime_message.cpp
   kmime_newsarticle.cpp
   kmime_dateformatter.cpp
   kmime_codecs.cpp
   kmime_types.cpp
)

add_library(KF5Mime ${kmime_LIB_SRCS})

generate_export_header(KF5Mime BASE_NAME KMime)

add_library(KF5::Mime ALIAS KF5Mime)

target_include_directories(KF5Mime INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KMime>")
target_include_directories(KF5Mime PUBLIC "$<BUILD_INTERFACE:${KMime_SOURCE_DIR}/src;${KMime_BINARY_DIR}/src;${KMime_BINARY_DIR}>")

target_link_libraries(KF5Mime
PUBLIC
    Qt5::Core
PRIVATE
    KF5::I18n
    KF5::Codecs
)

set_target_properties(KF5Mime PROPERTIES
    VERSION ${KMIME_VERSION_STRING}
    SOVERSION ${KMIME_SOVERSION}
    EXPORT_NAME Mime
)

install(TARGETS KF5Mime EXPORT KF5MimeTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

# Don't install them but needed to compile kdepimlibs
ecm_generate_headers(KMime_CamelCase_HEADERS
  HEADER_NAMES
  KMime_Content
  KMime_Message
  KMime_Util
  KMime_Dateformatter
  KMime_Header_Parsing
  PREFIX KMime

  REQUIRED_HEADERS KMime_HEADERS
)


install(FILES
         ${KMime_BINARY_DIR}/src/kmime_export.h
         kmime_content.h
         kmime_contentindex.h
         kmime_header_parsing.h
         kmime_headers.h
         kmime_message.h
         kmime_mdn.h
         kmime_newsarticle.h
         kmime_dateformatter.h
         kmime_util.h
         kmime_types.h
         DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KMime/kmime COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME KMime LIB_NAME KF5Mime DEPS "" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KMime)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== tests/CMakeLists.txt ===
include(CheckIncludeFile)
check_include_file(getopt.h HAVE_GETOPT_H)

if(HAVE_GETOPT_H)

########### next target ###############

  add_executable(test_kmime_header_parsing test_kmime_header_parsing.cpp)
  target_link_libraries(test_kmime_header_parsing KF5Mime)

########### next target ###############

  add_executable(test_mdn test_mdn.cpp)
  add_test(test_mdn test_mdn)
  target_link_libraries(test_mdn KF5Mime)

endif()

########### next target ###############

add_executable(test_charfreq test_charfreq.cpp)
add_test(test_charfreq test_charfreq)
target_link_libraries(test_charfreq KF5Mime)

########### next target ###############

add_executable(test_dates test_dates.cpp)
add_test(test_dates test_dates)
target_link_libraries(test_dates KF5Mime)

## kmime 15.08.2

=== debian/changelog ===
kmime (15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:34:17 +0100

kmime (15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:08:23 +0100

kmime (15.08.0-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Removing epoch in symbols file  

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:30:33 +0100

kmime (15.07.90-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * Initial release

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 10:34:28 +0100

=== debian/control ===
Source: kmime
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.12.0~),
               libboost-dev (>= 1.49),
               libkf5codecs-dev (>= 5.12.0),
               libkf5i18n-dev (>= 5.12.0),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.2.0)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/pim/kmime
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kmime.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kmime.git

Package: libkf5mime-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libboost-dev,
         libkf5mime5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Description: library for handling MIME data - development files
 This library provides an API for handling MIME data. MIME (Multipurpose
 Internet Mail Extensions) is an Internet Standard that extends the format
 of e-mail to support text in character sets other than US-ASCII, non-text
 attachments, multi-part message bodies, and header information in non-ASCII
 character sets.
 .
 This package contains the development files.

Package: libkf5mime5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling MIME data
 This library provides an API for handling MIME data. MIME (Multipurpose
 Internet Mail Extensions) is an Internet Standard that extends the format
 of e-mail to support text in character sets other than US-ASCII, non-text
 attachments, multi-part message bodies, and header information in non-ASCII
 character sets.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5mime-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libkf5mime5 (= ${binary:Version}), ${misc:Depends}
Description: library for handling MIME data - debug symbols
 This library provides an API for handling MIME data. MIME (Multipurpose
 Internet Mail Extensions) is an Internet Standard that extends the format
 of e-mail to support text in character sets other than US-ASCII, non-text
 attachments, multi-part message bodies, and header information in non-ASCII
 character sets.
 .
 This package contains the debug symbols.

## kmime 15.12.3

=== debian/changelog ===
kmime (15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:34:06 -0700

kmime (15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Debian merge: No remaining changes. 
  * Trigger new build. no changes. 
  * Remove build dep boost, was removed upstream back in August,
    and we are have strange failures in kdepim-runtime with boost
    share_ptr. 
  * No change: rebuild with new akonadi-search. 
  * git rm missing_headers as it was dropped. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:52:16 +0100

kmime (15.12.0-1~) UNRELEASED; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Dec 2015 16:20:40 +0100

kmime (15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 14:03:29 +0000

kmime (15.08.2-1) experimental; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:44 +0200

kmime (15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:16 +0200

kmime (15.08.0-1) experimental; urgency=medium

  * Initial Debian release.
  * New patch: missing_headers
  * New patch: disable_failing_tests

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Sep 2015 14:48:52 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 Section: libs
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.12.0~),
-               libboost-dev (>= 1.49),
                libkf5codecs-dev (>= 5.12.0),
                libkf5i18n-dev (>= 5.12.0),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.2.0)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/kde/pim/kmime
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kmime.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kmime.git
@@ -20,9 +19,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: libboost-dev,
+Depends: libboost-dev (>= 1.49~),
          libkf5mime5 (= ${binary:Version}),
-         qtbase5-dev,
+         qtbase5-dev (>= 5.2.0~),
          ${misc:Depends}
 Description: library for handling MIME data - development files
  This library provides an API for handling MIME data. MIME (Multipurpose

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5mime-dbg

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## kmime 16.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(KMime)
 
 # ECM setup
-find_package(ECM 5.12.0 CONFIG REQUIRED)
+find_package(ECM 5.19.0 CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${KMime_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
 
 include(GenerateExportHeader)
@@ -14,11 +14,11 @@
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 
 
-set(KF5_VERSION "5.12.0")
-set(KMIME_LIB_VERSION "4.87.0")
+set(KF5_VERSION "5.19.0")
+set(KMIME_LIB_VERSION "5.2.2")
 set(QT_REQUIRED_VERSION "5.2.0")
 
 ecm_setup_version(${KMIME_LIB_VERSION} VARIABLE_PREFIX KMIME

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
     )
     set_target_properties(${_testName} PROPERTIES COMPILE_FLAGS -DTEST_DATA_DIR="\\"${CMAKE_CURRENT_SOURCE_DIR}/data\\"" )
     ecm_mark_as_test(${_testName})
+    set_tests_properties(kmime-${_testName} PROPERTIES ENVIRONMENT LC_TIME=C)
   endforeach()
 endmacro()

=== debian/changelog ===
kmime (16.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jun 2016 16:51:12 +0200

kmime (16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update symbols files from buildds logs (16.04.0-1).
  * Update symbols files.
  * Refresh patches

  [ Maximiliano Curia ]
  * Update symbols files

 -- Maximiliano Curia <maxy@debian.org>  Wed, 18 May 2016 16:47:55 +0200

kmime (16.04.0-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update symbols files from buildds logs (15.12.0-1).
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Update build-deps and deps with the info from cmake
  * Refresh patches

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 May 2016 19:37:34 +0200

kmime (15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:08 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.12.0~),
-               libkf5codecs-dev (>= 5.12.0),
-               libkf5i18n-dev (>= 5.12.0),
+               extra-cmake-modules (>= 5.19.0~),
+               libboost-dev (>= 1.49),
+               libkf5codecs-dev (>= 5.19.0~),
+               libkf5i18n-dev (>= 5.19.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.2.0)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/pim/kmime
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kmime.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kmime.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kmime.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kmime.git
 
 Package: libkf5mime-dev
 Section: libdevel
@@ -44,18 +45,3 @@
  character sets.
  .
  This package is part of the KDE Development Platform PIM libraries module.
-
-Package: libkf5mime-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: libkf5mime5 (= ${binary:Version}), ${misc:Depends}
-Description: library for handling MIME data - debug symbols
- This library provides an API for handling MIME data. MIME (Multipurpose
- Internet Mail Extensions) is an Internet Standard that extends the format
- of e-mail to support text in character sets other than US-ASCII, non-text
- attachments, multi-part message bodies, and header information in non-ASCII
- character sets.
- .
- This package contains the debug symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5mime-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## kmime 16.04.3

=== debian/changelog ===
kmime (16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * SO version bump install file. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release
  * Remove disable_failing_test in which fails itself. 

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:28:44 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,15 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.19.0~),
-               libboost-dev (>= 1.49),
-               libkf5codecs-dev (>= 5.19.0~),
-               libkf5i18n-dev (>= 5.19.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               libkf5codecs-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.2.0)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/kmime
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kmime.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kmime.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmime
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmime
 
 Package: libkf5mime-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='libkf5mime-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## kmime 17.04.3

=== debian/changelog ===
kmime (17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Bump soname with debianabimanager due to binary incompatible changes:
    libkf5mime5 -> libkf5mime5abi1

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Update enable_debian_abi_manager.diff
  * Add libkf5mime-data installing libkmime5.mo
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:32:30 +0100

kmime (16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:27:05 +0100

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,23 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               libkf5codecs-dev (>= 5.24.0~),
-               libkf5i18n-dev (>= 5.24.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5codecs-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/kmime
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmime
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmime
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmime
 
 Package: libkf5mime-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
 Depends: libboost-dev (>= 1.49~),
-         libkf5mime5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.2.0~),
+         libkf5mime5abi1 (= ${binary:Version}),
+         qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
 Description: library for handling MIME data - development files
  This library provides an API for handling MIME data. MIME (Multipurpose
@@ -32,10 +32,14 @@
  .
  This package contains the development files.
 
-Package: libkf5mime5
+Package: libkf5mime5abi1
+X-Debian-ABI: 1
+X-CMake-Target: KF5Mime
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libkf5mime-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: library for handling MIME data
  This library provides an API for handling MIME data. MIME (Multipurpose
  Internet Mail Extensions) is an Internet Standard that extends the format
@@ -44,3 +48,18 @@
  character sets.
  .
  This package is part of the KDE Development Platform PIM libraries module.
+
+Package: libkf5mime-data
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
+Description: library for handling MIME data
+ This library provides an API for handling MIME data. MIME (Multipurpose
+ Internet Mail Extensions) is an Internet Standard that extends the format
+ of e-mail to support text in character sets other than US-ASCII, non-text
+ attachments, multi-part message bodies, and header information in non-ASCII
+ character sets.
+ .
+ This package is part of the KDE Development Platform PIM libraries module.

## kmime 17.12.3

=== debian/changelog ===
kmime (17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:28:42 +0000

kmime (17.12.2-0ubuntu1) bionic; urgency=medium

  [ Clive Johnston ]
  * Bump soname due to binary incompatible changes:
    libkf5mime5abi1 -> libkf5mime5abi2
  * Update symbols from amd64 buildlog

  [ Rik Mills ]
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * Follow debian marking -dev packages as Multi-Arch: same
  * New upstream release (17.12.2)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:01:20 +0000

kmime (17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:07:35 +0000

=== debian/control ===
--- 
+++ 
@@ -18,9 +18,9 @@
 Package: libkf5mime-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: foreign
+Multi-Arch: same
 Depends: libboost-dev (>= 1.49~),
-         libkf5mime5abi1 (= ${binary:Version}),
+         libkf5mime5abi2 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
 Description: library for handling MIME data - development files
@@ -32,8 +32,8 @@
  .
  This package contains the development files.
 
-Package: libkf5mime5abi1
-X-Debian-ABI: 1
+Package: libkf5mime5abi2
+X-Debian-ABI: 2
 X-CMake-Target: KF5Mime
 Architecture: any
 Multi-Arch: same

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         dbus-x11
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kmime-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kmime-([\d.]+).tar.xz

## kmime 18.04.3

=== debian/changelog ===
kmime (18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:54:10 +0100

kmime (17.12.3-0ubuntu2) cosmic; urgency=medium

  * Mark a symbol optional for Qt => 5.10

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 20 Jul 2018 05:09:12 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libkf5codecs-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/kmime
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmime
@@ -22,7 +22,7 @@
 Depends: libboost-dev (>= 1.49~),
          libkf5mime5abi2 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: library for handling MIME data - development files
  This library provides an API for handling MIME data. MIME (Multipurpose
  Internet Mail Extensions) is an Internet Standard that extends the format

## kmime 18.08.3

=== debian/changelog ===
kmime (18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Bump Standards-Version to 4.3.0 (No changes needed).

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 15:56:53 +0100

kmime (18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:17:23 +0200

kmime (18.07.90-1) experimental; urgency=medium

  * Team upload.
  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake

 -- Sandro Knauß <hefee@debian.org>  Thu, 16 Aug 2018 11:00:42 +0200

kmime (17.12.3-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files from logs of buildds. (Closes: #895493)
  * Bump Standards-Version to 4.1.4, no changes required.
  * Remove the unused ${shlibs:Depends} substvar from libkf5mime-data.

 -- Pino Toscano <pino@debian.org>  Sat, 21 Apr 2018 08:37:05 +0200

kmime (17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * use secure copyright format uri.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:26:08 +0200

kmime (17.12.2-2) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * make auto-tests non-failing.
  * Update symbols from buildds for 17.12.2

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Mar 2018 12:09:58 +0100

kmime (17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update build-deps and deps with the info from cmake
  * Update symbols files for 17.12.0.
  * Update copyright
  * Remove autopkgtest in favour of build tests.
  * Enable auto tests.
  * Use DebianABIManager to handle libkf5mime5 properly.
  * Update library from libkf5mime5 -> libkf5mime5abi1, because of ABI
    breakage.
  * split arch independet data out of libkf5mime5 and create new package
    named libkf5mime-data.
  * Update Vcs links to salsa.
  * Bump debhelper build-dep and compat to 11.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:14:42 +0100

kmime (17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Remove unused libboost-dev build and runtime dependency.
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 10:38:45 +0100

kmime (17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Fix "libkfmime-dev is wrongly marked Multi-Arch: foreign" (Closes: #883563)
    - Mark it correlty as Multi-Arch same.
  * Get rid of unnessary break/replaces of kde-l10n-(ast|eo).
  * Bump debhelper build-dep and compat to 10.
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:56:53 +0100

kmime (17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * testsuite: use dbus instead of dbus-x11
  * Bump Standards-Version to 4.0.1.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * Bump group breaks (17.08)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:13:30 +0200

kmime (17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:37:21 +0000

kmime (17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:22:34 +0000

kmime (17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:22:33 +0000

kmime (17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:20:14 +0000

kmime (17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:04:47 +0000

kmime (16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:49:27 +0000

kmime (16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:00:18 +0000

kmime (16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:20:20 +0000

kmime (16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:28:55 +0000

kmime (16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:34 +0000

kmime (16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:40:24 +0000

kmime (16.08.1-1~1.gbpc1cee9) UNRELEASED; urgency=medium

  ** SNAPSHOT build @c1cee966176cb88d8f809f2d1865ff7b8f75f545 **

  [ Maximiliano Curia ]
  ** SNAPSHOT build @4b35df17238da5c25ee61d80e5cdbe788b89a707 **

  * UNRELEASED

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * UNRELEASED

 -- Automatic packaging <jenkins@gnuservers.com.ar>  Fri, 09 Sep 2016 13:19:32 +0200

kmime (16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:07:26 +0000

kmime (16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:49:06 +0000

kmime (16.07.80-0) UNRELEASED; urgency=medium

  * Neon build version bump

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 10 Aug 2016 11:27:08 +0100

=== debian/control ===
Source: kmime
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.47.0~),
               libkf5codecs-dev (>= 5.47.0~),
               libkf5i18n-dev (>= 5.47.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.3.0
Homepage: https://projects.kde.org/projects/kde/pim/kmime
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmime
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmime.git

Package: libkf5mime-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5mime5, ${kde-l10n:all}
Replaces: libkf5mime5, ${kde-l10n:all}
Description: Arch independent data for library for handling MIME data
 This library provides an API for handling MIME data. MIME (Multipurpose
 Internet Mail Extensions) is an Internet Standard that extends the format
 of e-mail to support text in character sets other than US-ASCII, non-text
 attachments, multi-part message bodies, and header information in non-ASCII
 character sets.
 .
 This package contains the arch independent data for KMime.

Package: libkf5mime-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5mime5abi1 (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
Description: library for handling MIME data - development files
 This library provides an API for handling MIME data. MIME (Multipurpose
 Internet Mail Extensions) is an Internet Standard that extends the format
 of e-mail to support text in character sets other than US-ASCII, non-text
 attachments, multi-part message bodies, and header information in non-ASCII
 character sets.
 .
 This package contains the development files.
Breaks: libkf5akonadinotes-dev (<< 4:17.08),
        libkf5akonadisearch-dev (<< 4:17.08),
        libkf5imap-dev (<< 17.08),
        libkf5incidenceeditor-dev (<< 17.08),
        libkf5mailimporter-dev (<< 4:17.08),
        libkf5mailtransport-dev (<< 17.08),
        libkf5mbox-dev (<< 17.08),

Package: libkf5mime5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5Mime
Architecture: any
Multi-Arch: same
Depends: libkf5mime-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: accountwizard (<< 4:17.08),
        akonadiconsole (<< 4:17.08),
        kalarm (<< 4:17.08),
        kdepim-addons (<< 17.08),
        kdepim-runtime (<< 4:17.08),
        kdepim-themeeditors (<< 4:17.08),
        kleopatra (<< 4:17.08),
        kmail (<< 4:17.08),
        knotes (<< 4:17.08),
        korganizer (<< 4:17.08),
        libkf5akonadicalendar5 (<< 4:17.08),
        libkf5akonadicontact5 (<< 4:17.08),
        libkf5akonadimime5 (<< 4:17.08),
        libkf5akonadinotes5 (<< 4:17.08),
        libkf5akonadisearch-bin (<< 4:17.08),
        libkf5calendarsupport5 (<< 4:17.08),
        libkf5imap5 (<< 17.08),
        libkf5incidenceeditor5 (<< 17.08),
        libkf5ksieveui5 (<< 4:17.08),
        libkf5mailimporter5 (<< 4:17.08),
        libkf5mailtransport5 (<< 17.08),
        libkf5mbox5 (<< 17.08),
        libkf5messagecomposer5 (<< 4:17.08),
        libkf5messagecore5 (<< 4:17.08),
        libkf5messagelist5 (<< 4:17.08),
        libkf5messageviewer5 (<< 4:17.08),
        libkf5mime5,
        libkf5templateparser5 (<< 4:17.08),
Replaces: libkf5mime5
Description: library for handling MIME data
 This library provides an API for handling MIME data. MIME (Multipurpose
 Internet Mail Extensions) is an Internet Standard that extends the format
 of e-mail to support text in character sets other than US-ASCII, non-text
 attachments, multi-part message bodies, and header information in non-ASCII
 character sets.
 .
 This package is part of the KDE Development Platform PIM libraries module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-9~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5mime-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	- dh_auto_test --no-parallel

## kmime 18.12.3

=== debian/changelog ===
kmime (18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:46:21 +0100

kmime (18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:05:58 +0000

kmime (18.04.3-0ubuntu2) disco; urgency=medium

  * Follow Debian dropping of autotests.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Feb 2019 08:23:33 +0000

## kmime 19.04.3

=== debian/changelog ===
kmime (19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)
  * Drop upstream applied missing_headers patch.
  * Refresh patches.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:55:31 +0100

## kmime 19.08.3

=== debian/changelog ===
kmime (19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:54:22 +0100

kmime (19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Remove upstream applied patches.
  * Update patch hunks.
  * Remove breaks against kde-l10n packages.
  * Update libkf5mime-dev dependencies.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:38:50 +0100

kmime (18.08.3-3) unstable; urgency=medium

  [ Sandro Knauß ]
  * Delete not needed Breaks/Confilcts.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:48:53 +0100

kmime (18.08.3-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump to Compat v12 (no changes needed).
  * Delete not needed Breaks dependcies.
  * Use virtual packages to bundle kdepim.
  * Bump Standards-Version to 4.4.0 (No changes needed).
  * Add myself to Uploaders.

 -- Sandro Knauß <hefee@debian.org>  Tue, 24 Sep 2019 22:38:13 +0200

=== debian/control ===
Source: kmime
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libkf5codecs-dev (>= 5.60.0~),
               libkf5i18n-dev (>= 5.60.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.11.0~)
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/kde/pim/kmime
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmime
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmime.git

Package: libkf5mime-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Arch independent data for library for handling MIME data
 This library provides an API for handling MIME data. MIME (Multipurpose
 Internet Mail Extensions) is an Internet Standard that extends the format
 of e-mail to support text in character sets other than US-ASCII, non-text
 attachments, multi-part message bodies, and header information in non-ASCII
 character sets.
 .
 This package contains the arch independent data for KMime.

Package: libkf5mime-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5codecs-dev (>= 5.60.0~),
         libkf5i18n-dev (>= 5.60.0~),
         libkf5mime5abi1 (= ${binary:Version}),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends}
Description: library for handling MIME data - development files
 This library provides an API for handling MIME data. MIME (Multipurpose
 Internet Mail Extensions) is an Internet Standard that extends the format
 of e-mail to support text in character sets other than US-ASCII, non-text
 attachments, multi-part message bodies, and header information in non-ASCII
 character sets.
 .
 This package contains the development files.

Package: libkf5mime5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5Mime
Architecture: any
Multi-Arch: same
Depends: libkf5mime-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${ABI:VirtualPackage}
Description: library for handling MIME data
 This library provides an API for handling MIME data. MIME (Multipurpose
 Internet Mail Extensions) is an Internet Standard that extends the format
 of e-mail to support text in character sets other than US-ASCII, non-text
 attachments, multi-part message bodies, and header information in non-ASCII
 character sets.
 .
 This package is part of the KDE Development Platform PIM libraries module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-dbg %-bin %-data,$(filter lib%,$(shell dh_listpackages)))

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		$(overridden_command) -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5mime-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	- dh_auto_test --no-parallel

## kmime 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PIM_VERSION "5.13.3")

project(KMime VERSION ${PIM_VERSION})

# ECM setup
set(KF5_MIN_VERSION "5.63.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${KMime_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGeneratePriFile)

include(ECMGenerateHeaders)
include(ECMSetupVersion)
include(FeatureSummary)



set(KMIME_LIB_VERSION ${PIM_VERSION})
set(QT_REQUIRED_VERSION "5.11.0")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core)

ecm_setup_version(PROJECT VARIABLE_PREFIX KMIME
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kmime_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5MimeConfigVersion.cmake"
                        SOVERSION 5
)

########### Find packages ###########
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_MIN_VERSION} CONFIG REQUIRED)
add_definitions(-DTRANSLATION_DOMAIN=\"libkmime5\")
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
endif()

########### Targets ###########
add_subdirectory(src)
add_subdirectory(includes)

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Mime")

configure_package_config_file(
    "${KMime_SOURCE_DIR}/KF5MimeConfig.cmake.in"
    "${KMime_BINARY_DIR}/KF5MimeConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )

install(FILES
    "${KMime_BINARY_DIR}/KF5MimeConfig.cmake"
    "${KMime_BINARY_DIR}/KF5MimeConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KF5MimeTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF5MimeTargets.cmake
    NAMESPACE KF5::
    )

install(FILES
    ${KMime_BINARY_DIR}/kmime_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
    COMPONENT Devel
    )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== debian/changelog ===
kmime (19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:58:45 +0100

kmime (19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:17:18 +0100

=== debian/control ===
Source: kmime
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/kmime
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmime
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmime

Package: libkf5mime-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: library for handling MIME data
 This library provides an API for handling MIME data. MIME (Multipurpose
 Internet Mail Extensions) is an Internet Standard that extends the format
 of e-mail to support text in character sets other than US-ASCII, non-text
 attachments, multi-part message bodies, and header information in non-ASCII
 character sets.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5mime-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libboost-dev (>= 1.49~),
         libkf5mime5abi2 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
Description: library for handling MIME data - development files
 This library provides an API for handling MIME data. MIME (Multipurpose
 Internet Mail Extensions) is an Internet Standard that extends the format
 of e-mail to support text in character sets other than US-ASCII, non-text
 attachments, multi-part message bodies, and header information in non-ASCII
 character sets.
 .
 This package contains the development files.

Package: libkf5mime5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5Mime
Architecture: any
Multi-Arch: same
Depends: libkf5mime-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for handling MIME data
 This library provides an API for handling MIME data. MIME (Multipurpose
 Internet Mail Extensions) is an Internet Standard that extends the format
 of e-mail to support text in character sets other than US-ASCII, non-text
 attachments, multi-part message bodies, and header information in non-ASCII
 character sets.
 .
 This package is part of the KDE Development Platform PIM libraries module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='libkf5mime-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## kmime 20.08.1

=== debian/changelog ===
kmime (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:55:52 +0100

kmime (20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:20:59 +0100
